Page MenuHomePhabricator

Deploy Growth features on Spanish Wikipedia
Closed, ResolvedPublicApr 21 2021

Description

Translations

Help panel

  • Help pages (you can provide either a Wikidata link or a link to your wiki):
TaskTranslation of the labelLink
Manual of styleCómo escribir un buen artículohttps://es.wikipedia.org/wiki/Wikipedia:Manual_de_estilo
Help:EditingCómo editar una páginahttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/es
Inserting images (using the visual editor)Cómo agregar imágeneshttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/es#Images
Inserting references (using the visual editor)Cómo insertar una referenciahttps://www.mediawiki.org/wiki/Help:VisualEditor/User_guide/es#Editing_references
Article WizardCómo crear un artículohttps://es.wikipedia.org/wiki/Wikipedia:Asistente_para_la_creaci%C3%B3n_de_art%C3%ADculos

Mentorship module (optional)

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

For templates only, you can suggest more templates that match the task description.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMar 23 2021, 2:20 PM

Change 674653 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable Growth features on eswiki in dark mode

https://gerrit.wikimedia.org/r/674653

Change 674653 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Growth features on eswiki in dark mode

https://gerrit.wikimedia.org/r/674653

Mentioned in SAL (#wikimedia-operations) [2021-03-24T18:51:53Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: ced092071a9638d1e1c04602bd5bbed5cc3812e3: Enable Growth features on eswiki in dark mode (T278235; 1/3) (duration: 01m 08s)

Mentioned in SAL (#wikimedia-operations) [2021-03-24T18:53:23Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: ced092071a9638d1e1c04602bd5bbed5cc3812e3: Enable Growth features on eswiki in dark mode (T278235; 2/3) (duration: 01m 07s)

Mentioned in SAL (#wikimedia-operations) [2021-03-24T18:54:48Z] <urbanecm@deploy1002> Synchronized wmf-config/config/eswiki.yaml: ced092071a9638d1e1c04602bd5bbed5cc3812e3: Enable Growth features on eswiki in dark mode (T278235; 3/3) (duration: 01m 06s)

Change 674656 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Spanish special page aliases

https://gerrit.wikimedia.org/r/674656

@Trizek-WMF I got this from @Tgr and @DannyS712 about the aliases:

image.png (437×970 px, 60 KB)

They say that "Página_de_inicio" and "Página_inicial" means the same. Can you confirm this is a good translation? Or maybe @MarcoAurelio could chime in?

The community has been informed.

I don't know how I goofed there, but a more accurate transaltion for Welcome survey is "encuesta de bienvenida". Sorry.

The community has been informed.

I don't know how I goofed there, but a more accurate transaltion for Welcome survey is "encuesta de bienvenida". Sorry.

Thanks a lot, patch amended.

Change 674656 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Spanish special page aliases

https://gerrit.wikimedia.org/r/674656

Hello. Could you please consider delaying the activation of this feature if by April 7 the interface is still not translated into a state the extension would actually help newcommers? At this moment shy of half the extension is still untranslated (57% translated) thus many messages would still be displayed in English in a non-English wiki. Not many of us are active on translatewiki.net either, and we're also on hollydays. Thank you. Regards.

Thank you for this message @MarcoAurelio. It was very difficult to have someone reacting! I contacted people who are active in mentoring or who host workshops, but without any success. So I'm very happy to read you!

We can delay until translations are in better shape. Let's check how this changes over the week end and decide on Tuesday.

Do you have suggestions of people who could be interested by this project? Thank you!

Let's postpone this by one week.

Translations are 74% done, which is really encouraging, but not 100%.

Also, someone from the mentoring program has reacted with multiple questions.

So one extra week is needed.

Trizek-WMF changed Due Date from Apr 7 2021, 7:00 PM to Apr 14 2021, 7:00 PM.Apr 6 2021, 12:04 PM
Trizek-WMF changed Due Date from Apr 14 2021, 7:00 PM to Apr 21 2021, 7:00 PM.Apr 13 2021, 2:38 PM

I got some interesting inputs from @-jem- here. In short, the deployment should not happen with the mentoring module, since the motorship project needs to check on how to articulate Growth mentoring with the existing mentoring system.

And of course, the deployment would not happen without the interface being translated (88% done as I write this message).

kostajh triaged this task as Medium priority.Apr 14 2021, 8:19 PM

Change 681671 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] eswiki: Push Growth features out of dark mode

https://gerrit.wikimedia.org/r/681671

Change 681671 merged by jenkins-bot:

[operations/mediawiki-config@master] eswiki: Push Growth features out of dark mode

https://gerrit.wikimedia.org/r/681671

Mentioned in SAL (#wikimedia-operations) [2021-04-21T18:05:53Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: e252de0482c60e87e06d866006bb9ceb186af6cf: eswiki: Push Growth features out of dark mode (T278235) (duration: 01m 00s)

@Trizek-WMF Spanish Wikipedia just got promoted out of dark mode!

Etonkovidova added a subscriber: Etonkovidova.

Checked with a new account on eswiki. I corrected Special:WelcomeSurvey alias in the task description to Especial:Encuesta_de_bienvenida. I'm moving the task to Test in Production|Watching to monitor it for possible issues/feedback etc.

Checked with a new account on eswiki. I corrected Special:WelcomeSurvey alias in the task description to Especial:Encuesta_de_bienvenida. I'm moving the task to Test in Production|Watching to monitor it for possible issues/feedback etc.

Just to make sure I don't do anything stupid, do you think I should change the alias to what's now in the task description? @Trizek-WMF Is that fine with you?

Especial:Encuesta_de_bienvenida displays the Welcome survey. So I'm not sure about the issue there.